%define rname egenix-mx-base

Name: python-%{rname}
Version: 2.0.6
Release: %mkrel 2
Summary: Python extensions from eGenix
Source0: %{rname}-%{version}.tar.bz2
License: eGenix.com Public License
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Url: http://www.egenix.com/files/python/eGenix-mx-Extensions.html
BuildRequires: python-devel 
Obsoletes: egenix-mx-base
Provides: egenix-mx-base = %{version}-%{release}

%description
The eGenix mx Extension Series are a collection of
Python extensions written in ANSI C and Python
which provide a large spectrum of useful additions
to everyday Python programming.

The BASE package includes the Open Source subpackages
of the series and is needed by all other add-on
packages of the series.

This software is brought to you by eGenix.com and
distributed under the eGenix.com Public License.

%prep
%setup -q -n %{rname}-%{version}
find . -type f -exec sed -i 's|/usr/local.*python|/usr/bin/python|' {} \;

%build
python setup.py   build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --prefix=%_prefix --no-compile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README mx/Doc mx/DateTime/Doc mx/Proxy/Doc mx/BeeBase/Doc mx/Queue/Doc mx/Stack/Doc mx/TextTools/Doc mx/Tools/Doc mx/DateTime/LICENSE mx/DateTime/COPYRIGHT
%{python_sitearch}/mx
%{python_sitelib}/mx

%changelog
* Fri Sep 08 2006 David Walluck <walluck@mandriva.org> 2.0.6-2mdv2007.0
- rebuild
- fix install

* Fri Apr 29 2005 Pascal Terjan <pterjan@mandriva.org> 2.0.6-1mdk
- 2.0.6
- Updated url
- Change name to python-egenix-mx-base
- Fix interpreter path
- Don't ship .pyc

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-3mdk
- Really rebuild for new python

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-2mdk
- Rebuild for new python

* Wed Apr 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-1mdk
- 2.0.5

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.0.4-3mdk
- rebuild for new python
- drop prefix tag
- quiet setup
- don't autogenerate file list

* Sun Apr 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.0.4-2mdk
- Add ownership of some dirs

* Wed Apr 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 2.0.4-1mdk
- Adapted eGenix package for Mandrake
